%define libname_orig liblm_sensors
%define major 4
%define libname %mklibname lm_sensors %major
%define develname %mklibname lm_sensors -d
%define develstaticname %mklibname lm_sensors -d -s

Summary:	Utilities for lm_sensors
Name:		lm_sensors3
Version:	3.0.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.lm-sensors.org/
Source0:	http://dl.lm-sensors.org/lm-sensors/releases/lm_sensors-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Source2:	lm_sensors.init
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	kernel-source
BuildRequires:	librrdtool-devel
BuildRequires:	libsysfs-devel
Requires:	perl
Requires(pre):	rpm-helper
Requires(postun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}
Conflicts:	lm_sensors
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n %{libname}
Summary:	Libraries needed for lm_sensors
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Libraries to access lm_sensors internal data.

%package -n %{develname}
Summary:	Development libraries and header files for lm_sensors
Group:		Development/C
Requires(pre):	%{libname} = %{version}-%{release}
Requires(postun):	%{libname} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
#Obsoletes:      %{name}-devel < %{version}-%{release}
Provides:	%{mklibname lm_sensors 3 -d}
Conflicts:	%{mklibname lm_sensors 3 -d} < %{version}

%description -n %{develname}
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package -n %{develstaticname}
Summary:	Static libraries for lm_sensors
Group:		Development/C
Requires(pre):	%{develname} = %{version}-%{release}
Requires(postun):	%{develname} = %{version}-%{release}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Provides:	%{mklibname lm_sensors 3}-static-devel = %{version}-%{release}

%description -n %{develstaticname}
This package contains static libraries for lm_sensors.

%prep
%setup -q -n lm_sensors-%{version}

%{__cat} > README.urpmi << EOF
* To use this package, you'll have to launch "sensors-detect" as root, and answer a few questions.
  There is no need to modify startup files as shown at the end, all will be done for you.

* A special note for via686a and i2c-viapro: if you don t see the values, you probably have a PCI conflict.
  It will be corrected in next kernel. Change the %{_sysconfdir}/sysconfig/lm_sensors to use i2c-isa + via686a
  (or i2c-viapro + another sensor)
EOF

%build
%setup_compile_flags
export EXLDFLAGS="%ldflags"
%define _MAKE_DEFS WARN=1 PREFIX=%{_prefix} LINUX=%{_usrsrc}/linux I2C_HEADERS=%{_usrsrc}/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} PROG_EXTRA:=sensord LIBDIR=%{_libdir} EXLDFLAGS="%ldflags"
%define MAKE_DEFS %{_MAKE_DEFS}

# (tpg) get rid of custom ldflags, rpath
sed -i -e 's/EXLDFLAGS :=.*/EXLDFLAGS :=$(LDFLAGS)/g' Makefile

%make %{MAKE_DEFS} all

%install
%{__rm} -rf %{buildroot}

%define MAKE_DEFS %{_MAKE_DEFS} DESTDIR=%{buildroot}

%makeinstall_std %{MAKE_DEFS}

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE2} %{buildroot}%{_initrddir}/lm_sensors

%{_bindir}/chrpath -d %{buildroot}%{_bindir}/sensors
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/sensord

%ifnarch ppc
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isadump
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isaset
%endif

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%post
%_post_service lm_sensors

%preun
%_preun_service lm_sensors

%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS doc/ README.urpmi
%config(noreplace) %{_sysconfdir}/sensors3.conf
%attr(0755,root,root) %{_initrddir}/lm_sensors
%{_bindir}/sensors
%{_bindir}/sensors-conf-convert
%ifnarch ppc
%{_sbindir}/isadump
%{_sbindir}/isaset
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/fancontrol
%{_sbindir}/pwmconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsensors.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{develstaticname}
%defattr(-,root,root)
%{_libdir}/libsensors.a


%changelog
* Tue Dec 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 321452
- fix url
- conflict with legacy lm_sensors devel subpackage

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 321101
- spec file clean
- new license policy
- fix mixture of tabs and spaces
- start lm_sensors service after
- compile with %%optflags and %%ldflags
- update to new version 3.0.3

* Tue Jun 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-2mdv2009.0
+ Revision: 222498
- rebuilt against new rrdtool-devel

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 David Walluck <walluck@mandriva.org> 3.0.2-1mdv2009.0
+ Revision: 212773
- 3.0.2

* Tue Jan 29 2008 David Walluck <walluck@mandriva.org> 3.0.1-1mdv2008.1
+ Revision: 159989
- 3.0.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.0.0-4mdv2008.1
+ Revision: 117225
- fix self-conflicting

* Fri Dec 07 2007 David Walluck <walluck@mandriva.org> 3.0.0-3mdv2008.1
+ Revision: 116375
- import lm_sensors3


